RTEMS: m8xx_ Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
m8xx_ Struct Reference

## Data Fields
uint32_t | siumcr
uint32_t | sypcr
uint16_t | _pad0
uint16_t | swsr
uint32_t | sipend
uint32_t | simask
uint32_t | siel
uint32_t | sivec
uint32_t | tesr
uint32_t | _pad1 [3]
uint32_t | sdcr
uint8_t | _pad2 [0x80-0x34]
uint32_t | pbr0
uint32_t | por0
uint32_t | pbr1
uint32_t | por1
uint32_t | pbr2
uint32_t | por2
uint32_t | pbr3
uint32_t | por3
uint32_t | pbr4
uint32_t | por4
uint32_t | pbr5
uint32_t | por5
uint32_t | pbr6
uint32_t | por6
uint32_t | pbr7
uint32_t | por7
uint8_t | _pad3 [0xe0-0xc0]
uint32_t | pgcra
uint32_t | pgcrb
uint32_t | pscr
uint32_t | _pad4
uint32_t | pipr
uint32_t | _pad5
uint32_t | per
uint32_t | _pad6
m8xxMEMCRegisters_t | memc [8]
uint8_t | _pad7 [0x164-0x140]
uint32_t | mar
uint32_t | mcr
uint32_t | _pad8
uint32_t | mamr
uint32_t | mbmr
uint16_t | mstat
uint16_t | mptpr
uint32_t | mdr
uint8_t | _pad9 [0x200-0x180]
uint16_t | tbscr
uint16_t | _pad10
uint32_t | tbreff0
uint32_t | tbreff1
uint8_t | _pad11 [0x220-0x20c]
uint16_t | rtcsc
uint16_t | _pad12
uint32_t | rtc
uint32_t | rtsec
uint32_t | rtcal
uint32_t | _pad13 [4]
uint16_t | piscr
uint16_t | _pad14
uint16_t | pitc
uint16_t | _pad_14_1
uint16_t | pitr
uint16_t | _pad_14_2
uint8_t | _pad15 [0x280-0x24c]
uint32_t | sccr
uint32_t | plprcr
uint32_t | rsr
uint8_t | _pad16 [0x300-0x28c]
uint32_t | tbscrk
uint32_t | tbreff0k
uint32_t | tbreff1k
uint32_t | tbk
uint32_t | _pad17 [4]
uint32_t | rtcsk
uint32_t | rtck
uint32_t | rtseck
uint32_t | rtcalk
uint32_t | _pad18 [4]
uint32_t | piscrk
uint32_t | pitck
uint8_t | _pad19 [0x380-0x348]
uint32_t | sccrk
uint32_t | plprck
uint32_t | rsrk
uint8_t | _pad20 [0x400-0x38c]
uint8_t | _pad21 [0x800-0x400]
uint8_t | _pad22 [0x860-0x800]
uint8_t | i2mod
uint8_t | _pad23 [3]
uint8_t | i2add
uint8_t | _pad24 [3]
uint8_t | i2brg
uint8_t | _pad25 [3]
uint8_t | i2com
uint8_t | _pad26 [3]
uint8_t | i2cer
uint8_t | _pad27 [3]
uint8_t | i2cmr
uint8_t | _pad28 [0x900-0x875]
uint32_t | _pad29
uint32_t | sdar
uint8_t | sdsr
uint8_t | _pad30 [3]
uint8_t | sdmr
uint8_t | _pad31 [3]
uint8_t | idsr1
uint8_t | _pad32 [3]
uint8_t | idmr1
uint8_t | _pad33 [3]
uint8_t | idsr2
uint8_t | _pad34 [3]
uint8_t | idmr2
uint8_t | _pad35 [0x930-0x91d]
uint16_t | civr
uint8_t | _pad36 [14]
uint32_t | cicr
uint32_t | cipr
uint32_t | cimr
uint32_t | cisr
uint16_t | padir
uint16_t | papar
uint16_t | paodr
uint16_t | padat
uint8_t | _pad37 [8]
uint16_t | pcdir
uint16_t | pcpar
uint16_t | pcso
uint16_t | pcdat
uint16_t | pcint
uint8_t | _pad39 [6]
uint16_t | pddir
uint16_t | pdpar
uint16_t | _pad40
uint16_t | pddat
uint8_t | _pad41 [8]
uint16_t | tgcr
uint8_t | _pad42 [14]
uint16_t | tmr1
uint16_t | tmr2
uint16_t | trr1
uint16_t | trr2
uint16_t | tcr1
uint16_t | tcr2
uint16_t | tcn1
uint16_t | tcn2
uint16_t | tmr3
uint16_t | tmr4
uint16_t | trr3
uint16_t | trr4
uint16_t | tcr3
uint16_t | tcr4
uint16_t | tcn3
uint16_t | tcn4
uint16_t | ter1
uint16_t | ter2
uint16_t | ter3
uint16_t | ter4
uint8_t | _pad43 [8]
uint16_t | cpcr
uint16_t | _pad44
uint16_t | rccr
uint8_t | _pad45
uint8_t | rmds
uint32_t | rmdr
uint16_t | rctr1
uint16_t | rctr2
uint16_t | rctr3
uint16_t | rctr4
uint16_t | _pad46
uint16_t | rter
uint16_t | _pad47
uint16_t | rtmr
uint8_t | _pad48 [0x9f0-0x9dc]
uint32_t | brgc1
uint32_t | brgc2
uint32_t | brgc3
uint32_t | brgc4
m8xxSCCRegisters_t | scc1
m8xxSCCRegisters_t | scc2
m8xxSMCRegisters_t | smc1
m8xxSMCRegisters_t | smc2
uint16_t | spmode
uint16_t | _pad49 [2]
uint8_t | spie
uint8_t | _pad50
uint16_t | _pad51
uint8_t | spim
uint8_t | _pad52 [2]
uint8_t | spcom
uint16_t | _pad53 [2]
uint16_t | pipc
uint16_t | _pad54
uint16_t | ptpr
uint32_t | pbdir
uint32_t | pbpar
uint16_t | _pad55
uint16_t | pbodr
uint32_t | pbdat
uint32_t | _pad56 [6]
uint32_t | simode
uint8_t | sigmr
uint8_t | _pad57
uint8_t | sistr
uint8_t | sicmr
uint32_t | _pad58
uint32_t | sicr
uint16_t | sirp [2]
uint32_t | _pad59 [3]
uint8_t | _pad60 [0xc00-0xb00]
uint8_t | siram [512]
uint8_t | _pad62 [0x2000-0x1000]
uint8_t | dpram0 [0x200]
uint8_t | dpram1 [0x200]
uint8_t | dpram2 [0x400]
uint8_t | dpram3 [0x600]
uint8_t | dpram4 [0x200]
uint8_t | _pad63 [0x3c00-0x3000]
m8xxSCCENparms_t | scc1p
uint8_t | _rsv1 [0xCB0-0xC00-sizeof(m8xxSCCENparms_t)]
m8xxMiscParms_t | miscp
uint8_t | _rsv2 [0xcc0-0xCB0-sizeof(m8xxMiscParms_t)]
m8xxIDMAparms_t | idma1p
uint8_t | _rsv3 [0xd00-0xcc0-sizeof(m8xxIDMAparms_t)]
m8xxSCCparms_t | scc2p
uint8_t | _rsv4 [0xD80-0xD00-sizeof(m8xxSCCparms_t)]
m8xxSPIparms_t | spip
uint8_t | _rsv5 [0xDB0-0xD80-sizeof(m8xxSPIparms_t)]
m8xxTimerParms_t | tmp
uint8_t | _rsv6 [0xDC0-0xDB0-sizeof(m8xxTimerParms_t)]
m8xxIDMAparms_t | idma2p
uint8_t | _rsv7 [0xE00-0xDC0-sizeof(m8xxIDMAparms_t)]
m8xxSCCparms_t | scc3p
uint8_t | _rsv8 [0xE80-0xE00-sizeof(m8xxSCCparms_t)]
m8xxSMCparms_t | smc1p
uint8_t | _rsv9 [0xEC0-0xE80-sizeof(m8xxSMCparms_t)]
m8xxDSPparms_t | dsp1p
uint8_t | _rsv10 [0xF00-0xEC0-sizeof(m8xxDSPparms_t)]
m8xxSCCparms_t | scc4p
uint8_t | _rsv11 [0xF80-0xF00-sizeof(m8xxSCCparms_t)]
m8xxSMCparms_t | smc2p
uint8_t | _rsv12 [0xFC0-0xF80-sizeof(m8xxSMCparms_t)]
m8xxDSPparms_t | dsp2p
uint8_t | _rsv13 [0x1000-0xFC0-sizeof(m8xxDSPparms_t)]

The documentation for this struct was generated from the following file:

- bsps/powerpc/include/mpc8xx.h